Bug 1680187 - Add Python EPEL 7 branch for snowballstemmer
Summary: Add Python EPEL 7 branch for snowballstemmer
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-snowballstemmer
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-22 23:45 UTC by Scott K Logan
Modified: 2019-03-12 21:08 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-03-12 21:08:03 UTC


Attachments (Terms of Use)
Patch for 'master' to build for EPEL 7 (2.63 KB, patch)
2019-02-22 23:45 UTC, Scott K Logan
no flags Details | Diff
Updated patch to parse on Fedora (3.02 KB, patch)
2019-02-23 20:07 UTC, Scott K Logan
no flags Details | Diff
Patch for 'master' to build for EPEL 7 (3.43 KB, patch)
2019-02-23 20:12 UTC, Scott K Logan
no flags Details | Diff

Description Scott K Logan 2019-02-22 23:45:57 UTC
Created attachment 1537652 [details]
Patch for 'master' to build for EPEL 7

Description of problem:
Despite the prerequisites being met to build 'snowballstemmer' on EPEL 7, the branch does not exist and the package is not built. This package is used by other packages which are desired in EPEL, and is therefore blocking their packaging efforts.

I have attached a patch which can be applied on top of `master`, and makes the package buildable on EPEL 7. Please create an epel7 branch [1] from `master` and apply that patch onto it.

If you wouldn't like to maintain an EPEL branch yourself, please assign maintainership to me.

Thanks!

Comment 1 Julien Enselme 2019-02-23 13:24:30 UTC
I asked for the branch creation https://pagure.io/releng/fedora-scm-requests/issue/9930. I'll track this and push the package once it is done.

Comment 2 Julien Enselme 2019-02-23 13:55:31 UTC
I have an issue with your patch. When I try to build it, I get this error:
warning: line 96: Possible unexpanded macro in: %package -n     python%{python3_other_pkgversion}-snowballstemmer
error: line 99: Unknown tag: %python_provide: ERROR: python%{python3_other_pkgversion}-snowballstemmer not recognized.
error: query of specfile /home/jenselme/fedora-scm/python-snowballstemmer/python-snowballstemmer.spec failed, can't parse

And this is the first time I see python3_other_pkgversion. Perhaps it should be removed or only present on the EPEL7 branch?

> If you wouldn't like to maintain an EPEL branch yourself, please assign maintainership to me.

I'll gladly given you maintainership on this package. Can you give me your pagure username so I can add you?

Comment 3 Scott K Logan 2019-02-23 20:07 UTC
Created attachment 1537984 [details]
Updated patch to parse on Fedora

Comment 4 Scott K Logan 2019-02-23 20:12 UTC
Created attachment 1537985 [details]
Patch for 'master' to build for EPEL 7

Thanks for engaging me on this, I really appreciate it.

The spec errors are my fault. The patch doesn't parse on Fedora because python_provide gets grumpy when python3_other_pkgversion isn't defined. It is on EPEL 7, so the patch would likely work, but it is super inconvenient not to be able to work with the spec on Fedora. I added an updated patch.

My FAS/Pagure username is `cottsay`.

Comment 5 Fedora Update System 2019-02-24 09:38:38 UTC
python-snowballstemmer-1.2.1-9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-b38dc90ff5

Comment 6 Julien Enselme 2019-02-24 09:40:02 UTC
I just pushed the package to EPEL. I also added you as an admin for this package.

Comment 7 Scott K Logan 2019-02-24 22:29:55 UTC
Thanks Julien, I really appreciate it.

Comment 8 Fedora Update System 2019-02-25 01:52:12 UTC
python-snowballstemmer-1.2.1-9.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-b38dc90ff5

Comment 9 Fedora Update System 2019-03-12 21:08:03 UTC
python-snowballstemmer-1.2.1-9.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.